import pytest
import requests
from tenacity import retry, stop_after_attempt, wait_fixed


@retry(stop=stop_after_attempt(5), wait=wait_fixed(5))
@pytest.mark.poke_test
def test_poke_test():
    """
    Testing Health Check endpoint service
    :return: None
    """
    web_server_url = "http://policysuggestion:8080/health"
    resp = requests.get(web_server_url)
    assert (
        resp.ok
    ), f"Health check failed with {web_server_url} status code: {resp.status_code}"
    data = resp.json()
    assert data["metadatabase"]["status"] == "healthy", "Unhealthy metadatabase"
    assert data["scheduler"]["status"] == "healthy", "Unhealthy scheduler"
